## ros-foxy-launch-ros 0.11.7

=== debian/changelog ===
ros-foxy-launch-ros (0.11.7-1focal) focal; urgency=high

  * Handle empty strings when evaluating parameters (#300 <https://github.com/ros2/launch_ros/issues/300>) (#302 <https://github.com/ros2/launch_ros/issues/302>)
  * Fix TypeError accessing name and value of SetParameter (#298 <https://github.com/ros2/launch_ros/issues/298>)
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 12 Sep 2022 07:00:00 -0000

ros-foxy-launch-ros (0.11.6-1focal) focal; urgency=high

  * Validate complex attributes of 'node' action (backport #198 <https://github.com/ros2/launch_ros/issues/198>) (#293 <https://github.com/ros2/launch_ros/issues/293>)
  * More Helpful Error Messages (#275 <https://github.com/ros2/launch_ros/issues/275>) (#289 <https://github.com/ros2/launch_ros/issues/289>)
  * Contributors: Aditya Pande, David V. Lu!!, Ivan Santiago Paunovic

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 31 Jan 2022 08:00:00 -0000

ros-foxy-launch-ros (0.11.5-1focal) focal; urgency=high

  * Fix problems when parsing a ``Command`` ``Substitution`` as a parameter value (#137 <https://github.com/ros2/launch_ros/issues/137>)
  * Contributors: Ivan Santiago Paunovic

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 16 Nov 2021 08:00:00 -0000

ros-foxy-launch-ros (0.11.4-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 05 Oct 2021 07:00:00 -0000

ros-foxy-launch-ros (0.11.3-1focal) focal; urgency=high

  * Better document parameter handling in Node (#234 <https://github.com/ros2/launch_ros/issues/234>) (#242 <https://github.com/ros2/launch_ros/issues/242>)
  * Fix AttributeError when accessing component container name (#177 <https://github.com/ros2/launch_ros/issues/177>) (#241 <https://github.com/ros2/launch_ros/issues/241>)
  * Asynchronously wait for load node service response (#174 <https://github.com/ros2/launch_ros/issues/174>) (#240 <https://github.com/ros2/launch_ros/issues/240>)
  * Contributors: Felix Divo, Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 31 Aug 2021 07:00:00 -0000

ros-foxy-launch-ros (0.11.2-1focal) focal; urgency=high

  * Fix namespace with LifecycleNode (#222 <https://github.com/ros2/launch_ros/issues/222>)
  * Handle any substitution types for SetParameter name argument (#182 <https://github.com/ros2/launch_ros/issues/182>) (#218 <https://github.com/ros2/launch_ros/issues/218>)
  * Contributors: Jacob Perron, Michael Jeronimo

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 14 Apr 2021 07:00:00 -0000

ros-foxy-launch-ros (0.11.1-1focal) focal; urgency=high

  * Fix case where list of composable nodes is zero (#173 <https://github.com/ros2/launch_ros/issues/173>) (#209 <https://github.com/ros2/launch_ros/issues/209>)
  * Do not use event handler for loading composable nodes (#170 <https://github.com/ros2/launch_ros/issues/170>) (#208 <https://github.com/ros2/launch_ros/issues/208>)
  * Fix race with launch context changes when loading composable nodes (#166 <https://github.com/ros2/launch_ros/issues/166>) (#206 <https://github.com/ros2/launch_ros/issues/206>)
  * Add a way to set remapping rules for all nodes in the same scope (#163 <https://github.com/ros2/launch_ros/issues/163>) (#203 <https://github.com/ros2/launch_ros/issues/203>)
  * Resolve libyaml warning when loading parameters from file (#161 <https://github.com/ros2/launch_ros/issues/161>) (#202 <https://github.com/ros2/launch_ros/issues/202>)
  * Fix ComposableNode ignoring PushRosNamespace actions (#162 <https://github.com/ros2/launch_ros/issues/162>) (#201 <https://github.com/ros2/launch_ros/issues/201>)
  * Contributors: Dereck Wonnacott, Ivan Santiago Paunovic, Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 09 Dec 2020 08:00:00 -0000

ros-foxy-launch-ros (0.11.0-1focal) focal; urgency=high

  * Update maintainer list for Foxy (#194 <https://github.com/ros2/launch_ros/issues/194>)
  * Improve error message if ComposableNodeContainer 'name' or 'namespace' arg is None (#191 <https://github.com/ros2/launch_ros/issues/191>)
  * Add a SetParameter action that sets a parameter to all nodes in the same scope (#158 <https://github.com/ros2/launch_ros/issues/158>) (#187 <https://github.com/ros2/launch_ros/issues/187>)
  * Avoid using a wildcard to specify parameters if possible (#154 <https://github.com/ros2/launch_ros/issues/154>) (#188 <https://github.com/ros2/launch_ros/issues/188>)
  * Assume root namespace if not provided in ComposableNodeContainer (#186 <https://github.com/ros2/launch_ros/issues/186>)
    Fixes a regression introduced in #179 <https://github.com/ros2/launch_ros/issues/179>.
    Fixes #185 <https://github.com/ros2/launch_ros/issues/185>.
    We apply the same logic in LifecycleNode to maintain backwards compatibility in Foxy.
  * Contributors: Ivan Santiago Paunovic, Jacob Perron, Michael Jeronimo

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 28 Oct 2020 07:00:00 -0000

ros-foxy-launch-ros (0.10.3-1focal) focal; urgency=high

  * Fix no specified namespace (#153 <https://github.com/ros2/launch_ros/issues/153>, #157 <https://github.com/ros2/launch_ros/issues/157>) (#179 <https://github.com/ros2/launch_ros/issues/179>)
  * Contributors: Ivan Santiago Paunovic, Jacob Perron

 -- William Woodall <william@osrfoundation.org>  Wed, 07 Oct 2020 07:00:00 -0000

ros-foxy-launch-ros (0.10.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-launch-ros (0.10.1-1focal) focal; urgency=high

  * Fix new flake8 errors (#148 <https://github.com/ros2/launch_ros/issues/148>)
  * Contributors: Michel Hidalgo

 -- William Woodall <william@osrfoundation.org>  Wed, 13 May 2020 07:00:00 -0000

ros-foxy-launch-ros (0.10.0-1focal) focal; urgency=high

  * Avoid using sys.argv in rclpy.init (#144 <https://github.com/ros2/launch_ros/issues/144>)
  * Deprecated 'node_executable' parameter and replace with 'executable' (#140 <https://github.com/ros2/launch_ros/issues/140>)

