=== debian/control ===
Source: ros-foxy-launch-ros
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, python3-yaml, ros-foxy-ament-copyright <!nocheck>, ros-foxy-ament-flake8 <!nocheck>, ros-foxy-ament-index-python, ros-foxy-ament-pep257 <!nocheck>, ros-foxy-composition-interfaces, ros-foxy-launch, ros-foxy-lifecycle-msgs, ros-foxy-osrf-pycommon, ros-foxy-rclpy, ros-foxy-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-launch-ros
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-yaml, ros-foxy-ament-index-python, ros-foxy-composition-interfaces, ros-foxy-launch, ros-foxy-lifecycle-msgs, ros-foxy-osrf-pycommon, ros-foxy-rclpy, ros-foxy-ros-workspace
Description: ROS specific extensions to the launch tool.
